Get Cardholder Blocks

get/api/accounts/{cardholderAccountId}/blocks

Get cardholder blocks for the account.

Some blocks scoped to a card can be lifted via a request to the card unfreeze endpoint. To ascertain that unfreeze is allowed, query the card details endpoint.

This API uses cursor-based pagination. Start by making a request without a cursor to get the first page. Use the nextCursor from the pageInfo in the response as the cursor for subsequent requests to retrieve further pages. Empty pages can be expected, subsequent requests may return more items. Continue until nextCursor is undefined, indicating no more data.

Request

Path Parameters

  • cardholderAccountIdstringrequired

    Cardholder account ID

Query Parameters

  • limitnumber

    Amount of records to return (default 100, max 1000)

  • cursorstring

    Cursor to retrieve the next page

Response

Successful operation.

Body application/json

  • itemsobject[]

    Items

    • idstringrequired

      Identifier of the block

    • accountIdstringrequired

      Identifier of the cardholder account associated with the block

    • cardIdstring

      Optional. Primary identifier of the card (present when scope is card)

    • statusstringrequired

      Current status of the block. May include the following values: creating, created, releasing, released.

    • scopestringrequired

      Scope of the block, indicating whether it applies to the cardholder or a specific card. May include the following values: card, cardholder.

    • typestringrequired

      Type of block applied. May include the following values: card-suspension, cardholder-activation, cardholder-suspension.

    • reasonstringrequired

      Reason the block was created. May include the following values: activation, deactivation, fraud, kyc, loststolen, suspended, system, termination.

    • initiatorstringrequired

      Entity that initiated the block. May include the following values: system, partner, user.

    • createdAtstring

      Timestamp of block creation

  • pageInfoobject

    Page info for paginated results, undefined if no page info

    • nextCursorstring

      Cursor for next page, undefined if no more pages